> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Webhook Portal

- Product: Reducto API
- Section: Webhooks
- Snapshot: Current
- Method: `POST`
- Path: `/configure_webhook`

## Execute with cURL

```bash
curl -X POST "https://platform.reducto.ai/configure_webhook" \
  -H "Authorization: Bearer $REDUCTO_API_KEY"
```

## Responses

### Response `200`

Category: success  

Successful Response

#### `application/json`

##### Generated example

```json
"string"
```

##### Schema

###### Response Webhook Portal Configure Webhook Post

Type: `string`  

### Response `422`

Category: client-error  

Validation Error

#### `application/json`

##### Generated example

```json
{
  "detail": [
    {
      "loc": [
        "loc"
      ],
      "msg": "msg",
      "type": "type",
      "ctx": {}
    }
  ]
}
```

##### Schema

###### HTTPValidationError

Type: `HTTPValidationError`  

###### `detail`

Type: `ValidationError[]`  
Required: no  

###### ValidationError

Type: `ValidationError`  

###### `loc`

Type: `string | number[]`  
Required: yes  

###### string | number

Type: `string | number`  

###### string

Type: `string`  

###### number

Type: `number`  

###### `msg`

Type: `string`  
Required: yes  

###### `type`

Type: `string`  
Required: yes  

###### `input`

Type: `unknown`  
Required: no  

###### `ctx`

Type: `object`  
Required: no  

## Related representations

- [Human documentation](/api-reference/api/sections/webhooks/operations/configure-webhook/)
- [cURL Markdown](https://docs.reducto.ai/api-reference/api/curl/sections/webhooks/operations/configure-webhook.md)
